# HG changeset patch
# User Rafael Laboissiere <rafael@laboissiere.net>
# Date 1430511221 10800
#      Fri May 01 17:13:41 2015 -0300
# Node ID ab9f6b20c8be3c8c88415efa427f0186cdcdf703
# Parent  14b798b40e4f7003d09d13fdbb9b607cd40c9955
Fix spelling error "informations" -> "information"

The word "information", in the senses used in the code, is uncountable
and therefore takes no plural form.

diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode12.m
--- a/inst/ode12.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode12.m	Fri May 01 17:13:41 2015 -0300
@@ -25,7 +25,7 @@
 %# 
 %# The first input argument must be a function_handle or an inline function that defines the set of ODEs: @code{y' = f(t,y)}. As described above, this function must take two input arguments, where the first is the time and the second the unknowns, and must have just one output argument that should be a vector.
 %# 
-%# The second input argument must contain time informations. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has not empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
+%# The second input argument must contain time information. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has not empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
 %# 
 %# The third input argument must contain the initial value for the unknown. If this is a vector then the solution @var{y} will be a matrix in which each column is the solution for the corresponding initial value in @var{init}.
 %# 
diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode23.m
--- a/inst/ode23.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode23.m	Fri May 01 17:13:41 2015 -0300
@@ -26,7 +26,7 @@
 %# 
 %# The first input argument must be a function_handle or an inline function that defines the set of ODE: @code{y' = f(t,y)}. As described above, this function must take two input arguments, where the first is the time and the second the unknowns, and must have just one output argument that should be a vector.
 %# 
-%# The second input argument must contain time informations. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
+%# The second input argument must contain time information. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
 %# 
 %# The third input argument must contain the initial value for the unknown. If this is a vector then the solution @var{y} will be a matrix in which each column is the solution for the corresponding initial value in @var{init}.
 %# 
diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode23d.m
--- a/inst/ode23d.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode23d.m	Fri May 01 17:13:41 2015 -0300
@@ -30,7 +30,7 @@
 %# y(slot(1)-lags(1)) = hist(1), y(slot(1)-lags(2)) = hist(2), @dots{} 
 %# @end example
 %#
-%# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of DDEs. The solution @var{sol} has the fields @var{x} of type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the informations of the event function if an event function handle is set in the option argument @var{opt}.
+%# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of DDEs. The solution @var{sol} has the fields @var{x} of type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the information of the event function if an event function handle is set in the option argument @var{opt}.
 %#
 %# If this function is called with more than one return argument then return the time stamps @var{t}, the solution values @var{y} and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector.
 %#
diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode45.m
--- a/inst/ode45.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode45.m	Fri May 01 17:13:41 2015 -0300
@@ -26,7 +26,7 @@
 %# 
 %# The first input argument must be a function_handle or an inline function that defines the set of ODE: @code{y' = f(t,y)}. As described above, this function must take two input arguments, where the first is the time and the second the unknowns, and must have just one output argument.
 %# 
-%# The second input argument must contain time informations. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
+%# The second input argument must contain time information. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
 %# 
 %# The third input argument must contain the initial value for the unknown. If this is a vector then the solution @var{y} will be a matrix in which each column is the solution for the corresponding initial value in @var{init}.
 %# 
diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode45d.m
--- a/inst/ode45d.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode45d.m	Fri May 01 17:13:41 2015 -0300
@@ -36,7 +36,7 @@
 %# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of DDEs. The solution @var{sol} has the fields @var{x} of 
 %# type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name 
 %# and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the 
-%# informations of the event function if an event function handle is set in the option argument @var{opt}.
+%# information of the event function if an event function handle is set in the option argument @var{opt}.
 %#
 %# If this function is called with more than one return argument then return the time stamps @var{t}, the solution values @var{y} and optionally the extended time stamp information @var{xe}, the 
 %# extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector.
diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode54.m
--- a/inst/ode54.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode54.m	Fri May 01 17:13:41 2015 -0300
@@ -26,7 +26,7 @@
 %#
 %# The first input argument must be a function_handle or an inline function that defines the set of ODE: @code{y' = f(t,y)}. As described above, this function must take two input arguments, where the first is the time and the second the unknowns, and must have just one output argument.
 %#
-%# The second input argument must contain time informations. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
+%# The second input argument must contain time information. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
 %#
 %# The third input argument must contain the initial value for the unknown. If this is a vector then the solution @var{y} will be a matrix in which each column is the solution for the corresponding initial value in @var{init}.
 %#
diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode54d.m
--- a/inst/ode54d.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode54d.m	Fri May 01 17:13:41 2015 -0300
@@ -30,7 +30,7 @@
 %# y(slot(1)-lags(1)) = hist(1), y(slot(1)-lags(2)) = hist(2), @dots{} 
 %# @end example
 %#
-%# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of DDEs. The solution @var{sol} has the fields @var{x} of type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the informations of the event function if an event function handle is set in the option argument @var{opt}.
+%# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of DDEs. The solution @var{sol} has the fields @var{x} of type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the information of the event function if an event function handle is set in the option argument @var{opt}.
 %#
 %# If this function is called with more than one return argument then return the time stamps @var{t}, the solution values @var{y} and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector.
 %#
diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode78.m
--- a/inst/ode78.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode78.m	Fri May 01 17:13:41 2015 -0300
@@ -23,7 +23,7 @@
 %#
 %# If this function is called with no return argument then plot the solution over time in a figure window while solving the set of ODEs that are defined in a function and specified by the function handle @var{@@fun}. The second input argument @var{slot} is a double vector that defines the time slot, @var{init} is a double vector that defines the initial values of the states, @var{opt} can optionally be a structure array that keeps the options created with the command @command{odeset} and @var{par1}, @var{par2}, @dots{} can optionally be other input arguments of any type that have to be passed to the function defined by @var{@@fun}.
 %#
-%# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of ODEs. The solution @var{sol} has the fields @var{x} of type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the informations of the event function if an event function handle is set in the option argument @var{opt}.
+%# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of ODEs. The solution @var{sol} has the fields @var{x} of type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the information of the event function if an event function handle is set in the option argument @var{opt}.
 %#
 %# If this function is called with more than one return argument then return the time stamps @var{t}, the solution values @var{y} and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector.
 %#
diff -r 14b798b40e4f -r ab9f6b20c8be inst/ode78d.m
--- a/inst/ode78d.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/ode78d.m	Fri May 01 17:13:41 2015 -0300
@@ -30,7 +30,7 @@
 %# y(slot(1)-lags(1)) = hist(1), y(slot(1)-lags(2)) = hist(2), @dots{} 
 %# @end example
 %#
-%# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of DDEs. The solution @var{sol} has the fields @var{x} of type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the informations of the event function if an event function handle is set in the option argument @var{opt}.
+%# If this function is called with one return argument then return the solution @var{sol} of type structure array after solving the set of DDEs. The solution @var{sol} has the fields @var{x} of type double column vector for the steps chosen by the solver, @var{y} of type double column vector for the solutions at each time step of @var{x}, @var{solver} of type string for the solver name and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector that keep the information of the event function if an event function handle is set in the option argument @var{opt}.
 %#
 %# If this function is called with more than one return argument then return the time stamps @var{t}, the solution values @var{y} and optionally the extended time stamp information @var{xe}, the extended solution information @var{ye} and the extended index information @var{ie} all of type double column vector.
 %#
diff -r 14b798b40e4f -r ab9f6b20c8be inst/odeRATTLE.m
--- a/inst/odeRATTLE.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/odeRATTLE.m	Fri May 01 17:13:41 2015 -0300
@@ -38,7 +38,7 @@
 %# 
 %# The second input argument must be a function_handle or an inline function that defines the constraints of the problem @math{g(q)=0}. So that this function must take one input argument and must return a vector or (if you want to give also the constraint gradient and constraint Hessian) cell containing as first element the equations defining the holonomic constraints and as second and third elements respectively the gradient and the Hessian of this constraints function (this is not mandatory but it can speedup the computation and results will be more accurated).
 %# 
-%# The third input argument must contain time informations. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
+%# The third input argument must contain time information. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
 %# 
 %# The fourth input argument must contain the initial value for the unknown. This must be a row or column vector containing the generalized  coordinates in its first half and the generalized momenta in the second half. Each momentum correspond to the coordinate with the same  relative position inside the vector of initial conditions.
 %# 
diff -r 14b798b40e4f -r ab9f6b20c8be inst/odeSE.m
--- a/inst/odeSE.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/odeSE.m	Fri May 01 17:13:41 2015 -0300
@@ -36,7 +36,7 @@
 %# @end ifnothtml
 %# where @math{H(t,[q;p])} is the Hamiltonian of the problem, @math{q} are generalized coordinates and @math{p} are generalized momenta. As described above, this function must take two input arguments, where the first is the time and the second the unknowns, and must return a vector or (if you want to pass also the Hamiltonian Hessian) a cell containing as first element the Hamilton's equations of motion (the previous system of equations) and as second element the Hessian of the Hamiltonian (this is not mandatory but it can speedup the computation).
 %# 
-%# The second input argument must contain time informations. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
+%# The second input argument must contain time information. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
 %# 
 %# The third input argument must contain the initial value for the unknown. This must contain the generalized coordinates in its first half and the generalized momenta in the second half. Each momentum correspond to the coordinate with the same relative position inside the vector of initial conditions.
 %# 
diff -r 14b798b40e4f -r ab9f6b20c8be inst/odeSPVI.m
--- a/inst/odeSPVI.m	Thu Apr 16 18:45:23 2015 +0200
+++ b/inst/odeSPVI.m	Fri May 01 17:13:41 2015 -0300
@@ -36,7 +36,7 @@
 %# @end ifnothtml
 %# where @math{H(t,[q;p])} is the Hamiltonian of the problem, @math{q} are generalized coordinates and @math{p} are generalized momenta. As described above, this function must take two input arguments, where the first is the time and the second the unknowns, and must return a vector or (if you want to pass also the Hamiltonian Hessian) a cell containing as first element the Hamilton's equations of motion (the previous system of equations) and as second element the Hessian of the Hamiltonian (this is not mandatory but it can speedup the computation).
 %# 
-%# The second input argument must contain time informations. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
+%# The second input argument must contain time information. Usually it should be a vector with at least two elements which define the initial and the final time instants; if the elements are more than two, then the solution will be evaluated also at these intermediate time instants unless the integrate function called is the @command{integrate_n_steps}. If there is only one time value, then it will give an error unless the options structure has no empty fields named @var{"TimeStepNumber"} and @var{"TimeStepSize"}. If the option @var{"TimeStepSize"} is not empty, then the stepper called will be @command{integrate_const}, if also @var{"TimeStepNumber"} is not empty it will be called the integrate function @command{integrate_n_steps}, otherwise it will be called @command{integrate_adaptive}. For this last possibility the user can set the tolerance for the timestep computation by setting a value to the option @var{"Tau"}, that as default value has @math{1.e-6}.
 %# 
 %# The third input argument must contain the initial value for the unknown. This must contain the generalized coordinates in its first half and the generalized momenta in the second half. Each momentum correspond to the coordinate with the same relative position inside the vector of initial conditions.
 %# 
